commit:     ad65bea2e5e2f0cca3d4f6eda33bf5364116c398
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Mar 18 03:35:56 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Mar 18 03:35:56 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=ad65bea2

dev-python/pynrrd: version bump 0.4.2

and PYTHON_COMPAT update to include 3_7

Package-Manager: Portage-2.3.92, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 dev-python/pynrrd/pynrrd-0.2.2.ebuild                          | 2 +-
 dev-python/pynrrd/{pynrrd-0.2.2.ebuild => pynrrd-0.4.2.ebuild} | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-python/pynrrd/pynrrd-0.2.2.ebuild 
b/dev-python/pynrrd/pynrrd-0.2.2.ebuild
index 1933dd639..6fbe90d29 100644
--- a/dev-python/pynrrd/pynrrd-0.2.2.ebuild
+++ b/dev-python/pynrrd/pynrrd-0.2.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7

diff --git a/dev-python/pynrrd/pynrrd-0.2.2.ebuild 
b/dev-python/pynrrd/pynrrd-0.4.2.ebuild
similarity index 77%
copy from dev-python/pynrrd/pynrrd-0.2.2.ebuild
copy to dev-python/pynrrd/pynrrd-0.4.2.ebuild
index 1933dd639..bff3e2570 100644
--- a/dev-python/pynrrd/pynrrd-0.2.2.ebuild
+++ b/dev-python/pynrrd/pynrrd-0.4.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_COMPAT=( python{3_6,3_7} )
 
 inherit distutils-r1
 
@@ -20,5 +20,5 @@ RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
 DEPEND="test? ( ${RDEPEND} )"
 
 python_test() {
-       ${EPYTHON} tests/test_nrrd.py || die
+       ${EPYTHON} -m unittest discover -v nrrd/tests || die
 }

Reply via email to